section.overlay-menu {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: fit-content;
    z-index: 10;
    padding: 40px;
    border-radius: 12px;
    display: flex;
    max-width: 1200px;
}

section.overlay-menu ul {
    width: 100%;
    display: flex;
    gap: 80px;
    justify-content: start;
}

section.overlay-menu ul li a {
    display: inline-block;
    background-color: var(--green-900);
    color: white;
    border-radius: 8px;
    font-size: 20px;
    transition: all 1s;
    box-shadow: var(--small-shadow);
    padding: 12px 60px;
    animation-name: easeIn;
    animation-duration: 2s;
}

section.overlay-menu ul li a:hover {
    background-color: var(--green-400);
    color: black;
    box-shadow: var(--smallest-shadow);
}

@media only screen and (max-width:640px) {
    section.overlay-menu ul {
        flex-direction: column;
        align-items: center;
        gap: 40px;
    }
}

@keyframes easeIn {
    from {
        opacity: 0;
        transform: translateX(-40%);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}